package net.wanji.common.dto;

import lombok.Data;

import java.util.Date;


@Data
public class OperateLog {

    /**
     * 访问的url
     */
    private String url;

    /**
     * 登录ip
     */
    private String ip;

    /**
     * 操作系统
     **/
    private String system;

    /**
     * 操作类型(增删改查)
     */
    private String operationType;

    /**
     * 响应状态码:如200、500等
     */
    private String status;

    /**
     * 响应结果
     */
    private String result;

    /**
     * 请求参数
     */
    private String args;

    /**
     * 操作时间
     */
    private Date createTime;

    /**
     * 操作信息
     */
    private String description;

}