package net.wanji.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/03/21 10:45
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "SystemServiceStatusDTO", description = "系统服务状态实体")
public class SystemServiceStatusDTO {
    @ApiModelProperty(value = "系统服务名",notes = "")
    private String sysName;
    @ApiModelProperty(value = "地址",notes = "")
    private String ip;
    @ApiModelProperty(value = "端口",notes = "")
    private int port;
    @ApiModelProperty(value = "超时时间",notes = "")
    private int timeout;
    @ApiModelProperty(value = "状态：0正常 1异常",notes = "")
    private int status;
    @ApiModelProperty(value = "开始时间",notes = "")
    private String startTime;
    @ApiModelProperty(value = "开始日期",notes = "")
    private Date startDate;
}
