package net.wanji.common.enums;

/**
 * @author hfx
 * @date 2023/1/28 16:13
 * @desc 控制模式
 */
public enum ControlModeEnum {

    FIXED_PERIOD(1, "定周期"),
    GREEN_WAVE(2, "绿波协调"),
    YELLOW_FLASH(3, "黄闪"),
    FULL_RED(4, "全红"),
    OFF_LIGHT(5, "关灯"),
    SINGLE_POINT_ADAPTATION(6, "单点自适应"),
    FULL_INDUCTION(7, "全感应"),
    HALF_INDUCTION(8, "半感应"),
    PEDESTRIAN(9, "行人过街");

    private Integer code;
    private String name;

    ControlModeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getName() {
        return this.name;
    }

}
